Delete
curl --request POST \
--url https://{host}/Agent/Intelligence/Delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectId": "<string>"
}
'import requests
url = "https://{host}/Agent/Intelligence/Delete"
payload = { "objectId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectId: '<string>'})
};
fetch('https://{host}/Agent/Intelligence/Delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Open intelligence
Delete
Allows the client to delete open intelligence about an endpoint.
POST
/
Agent
/
Intelligence
/
Delete
Delete
Overview
Allows the client to delete open intelligence about an endpoint. The intelligence information must have been created by the same agent, on the same domain to be able to be deleted.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.⌘I